## ros-kinetic-cost-map-demos 0.3.3

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(cost_map_demos)

##############################################################################
# Find Packages
##############################################################################

find_package(catkin
    REQUIRED
    COMPONENTS
        ecl_build
        ecl_console
        costmap_2d
        cost_map_ros
        cost_map_visualisations
        nav_msgs
        roscpp
        tf
    )

##############################################################################
# Catkin
##############################################################################

catkin_package(
#    INCLUDE_DIRS
#        include
    LIBRARIES
        ${PROJECT_NAME}
    CATKIN_DEPENDS
        ecl_build
        ecl_console
        costmap_2d
        cost_map_ros
        cost_map_visualisations
        nav_msgs
        roscpp
        tf
    )

##############################################################################
# Project Configuration
##############################################################################

ecl_enable_cxx11_compiler()
add_definitions(${catkin_DEFINITIONS})
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Project Sources
##############################################################################

add_subdirectory(src)

##############################################################################
# Installs
##############################################################################

install(DIRECTORY doc    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY rviz   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#install(
#  DIRECTORY include/${PROJECT_NAME}/
#  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#  FILES_MATCHING PATTERN "*.hpp"
#)

=== src/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(lib)
add_subdirectory(applications)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== src/applications/CMakeLists.txt ===
###############################################################################
# Macro
###############################################################################

macro(cost_map_demos_add_demo name)
  add_executable(${name} ${name}.cpp)
  target_link_libraries(${name} ${catkin_LIBRARIES} ${PROJECT_NAME})
  install(TARGETS ${name} RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endmacro()

###############################################################################
# Setup
###############################################################################

cost_map_demos_add_demo(inflations)
cost_map_demos_add_demo(from_ros_costmaps)

=== src/lib/CMakeLists.txt ===
############################################################################
# Sources
##############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

##############################################################################
# Library
##############################################################################

add_library(${PROJECT_NAME} ${SOURCES} ${ITERATOR_SOURCES})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

##############################################################################
# Installs
##############################################################################

install(TARGETS ${PROJECT_NAME}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== src/test/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(rostests)

=== src/test/rostests/CMakeLists.txt ===
##############################################################################
# Unit Tests
#
#   Only run when CATKIN_ENABLE_TESTING is true.
##############################################################################

find_package(rostest REQUIRED)

##############################################################################
# Macro
##############################################################################

macro(${PROJECT_NAME}_add_rostest test_name)
  add_rostest_gtest(test_${test_name} ${test_name}/${test_name}.test ${test_name}/${test_name}.cpp)
  if (TARGET test_${test_name})
    add_dependencies(test_${test_name} ${catkin_EXPORTED_TARGETS})
    target_link_libraries(test_${test_name} ${PROJECT_NAME} ${catkin_LIBRARIES})
  endif()
endmacro()

##############################################################################
# Tests
##############################################################################

cost_map_demos_add_rostest(from_ros_costmaps)

=== debian/changelog ===
ros-kinetic-cost-map-demos (0.3.3-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 02 Jan 2018 03:36:06 -0000

ros-kinetic-cost-map-demos (0.3.0-0xenial) xenial; urgency=high

  * launchers and tests for Costmap2DROS conversions
  * image bundling extended to handle multiple layers

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 27 Dec 2016 05:00:00 -0000

ros-kinetic-cost-map-demos (0.2.0-0xenial) xenial; urgency=high

  * initial suite of demos

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 25 Aug 2016 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-cost-map-demos
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cost-map-ros, ros-kinetic-cost-map-visualisations, ros-kinetic-costmap-2d, ros-kinetic-ecl-build, ros-kinetic-ecl-console, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cost-map-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cost-map-ros, ros-kinetic-cost-map-visualisations, ros-kinetic-costmap-2d, ros-kinetic-ecl-build, ros-kinetic-ecl-console, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-rviz, ros-kinetic-tf
Description: Demonstrations for cost maps.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cost-map-demos//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
